> For the complete documentation index, see [llms.txt](https://docs.xverse.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xverse.app/sats-connect/connecting-to-the-wallet/connect-to-other-wallets/manage-a-users-default-wallet.md).

# Manage a user's default wallet

For a fine grained control over a user's default wallet, Sats Connect provides utilities to manage the default wallet.

{% hint style="info" %}
Note that default wallet selection is handled automatically when using [`Wallet.request`](/sats-connect/wallet-methods/request-methods.md) methods

* Users are automatically prompted to choose which wallet they'd like to use if they haven't done so yet.

* The wallet they choose is set as the default wallet for future operations.
  {% endhint %}

* the `getDefaultProvider()` method lets you fetch the user's default connected wallet

* the `setDefaultProvider()` method lets you set the user’s default connected wallet&#x20;

The following snippet shows how to manage a user’s default wallet:

```typescript
import { getDefaultProvider, setDefaultProvider } from "@sats-connect/core";
import { loadSelector, selectWalletProvider, type Config } from "@sats-connect/ui"

async function example() {
  const defaultWallet = await getDefaultProvider();
  
  if (defaultWallet) {
    return businessLogicWith(defaultWallet);
  }
  
  loadSelector();
  const config: Config = { /* ... */ };
  const selectedWallet = await selectWalletProvider(config);
  await setDefaultWallet(selectedWallet);
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.xverse.app/sats-connect/connecting-to-the-wallet/connect-to-other-wallets/manage-a-users-default-wallet.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
